/*!
 	@file
 	@brief	マウスカーソル
 */

#ifndef CMouseCursor_h
#define CMouseCursor_h

#include"../Setup/CompileMode.h"
#include"../Input/CMouse.h"
#include"CSprite.h"
#include"CGraphic.h"
#include<stack>

namespace Maid
{
	class CMouseCursor
	{
	public:
		CMouseCursor();
		void Update();
		void OnDraw( CGraphic& Render, const CMouse& mouse );

		void LoadCursor( const mstring& FileName );
		void ChangeCursor( int No );
		unt GetNowPatern() const;

		void PushCursor( int No );
		void PopCursor();
		void StackReset();

		bool IsAnimEnd() const;
		bool IsNowLoading();
	private:
		CSprite	m_Cursor;	//!<	描画カーソル

		MySTL::stack<int>	m_CursorStack;//!<	現在のカーソル番号 .top() が最新
	};
}
#endif
